## intel-media-driver 19.2.1+dfsg1

=== CMakeLists.txt ===
# Copyright (c) 2017, Intel Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.

cmake_minimum_required(VERSION 3.5)


include(os_release_info.cmake)

get_os_release_info(os_name os_version)

if(NOT DEFINED CMAKE_INSTALL_PREFIX OR CMAKE_INSTALL_PREFIX STREQUAL "")
    set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "..." FORCE)
endif()
message(STATUS "CMAKE_INSTALL_PREFIX = ${CMAKE_INSTALL_PREFIX}")

if(NOT DEFINED MEDIA_VERSION OR MEDIA_VERSION STREQUAL "")
    set(MEDIA_VERSION "1.0.0")
endif()

if("${os_name}" STREQUAL "clear-linux-os")
    # clear-linux-os distribution avoids /etc for distribution defaults.
    # Set this variable explicitly before including GNUInstallDirs.
    set(CMAKE_INSTALL_SYSCONFDIR "usr/share/defaults/etc")
endif()

include(CMakeDependentOption)

option (ENABLE_KERNELS "Build driver with shaders (kernels) support" ON)
# ENABLE_NONFREE_KERNELS option permits to enable closed source EU shaders (kernels)
# additionally to open source EU shaders and fixed function hardware.
cmake_dependent_option( ENABLE_NONFREE_KERNELS
    "Use closed source pre-built  binary shaders (kernels)" ON
    "ENABLE_KERNELS" OFF)
cmake_dependent_option( BUILD_KERNELS
    "Rebuild shaders (kernels) from sources" OFF
    "ENABLE_KERNELS;NOT ENABLE_NONFREE_KERNELS" OFF)
option (BUILD_CMRTLIB "Build and Install cmrtlib together with media driver" ON)

include(GNUInstallDirs)

if (BUILD_CMRTLIB)
    add_subdirectory(cmrtlib)
endif()

if (BUILD_KERNELS)
    find_program(IGA iga64)
    if (NOT IGA)
        message(FATAL_ERROR "Failed to find IGA")
    endif()

    find_program(CMC cmc)
    if (NOT CMC)
        message(FATAL_ERROR "Failed to find CMC")
    endif()

    find_program(PYTHON python)
    if (NOT PYTHON)
        message(FATAL_ERROR "Failed to find PYTHON")
    endif()

    add_subdirectory(Tools/MediaDriverTools)
endif()

add_subdirectory(media_driver)

if("${LIBVA_DRIVERS_PATH}" STREQUAL "")
    set(LIBVA_DRIVERS_PATH "${CMAKE_INSTALL_FULL_LIBDIR}/dri/")
endif()
message(STATUS "LIBVA_DRIVERS_PATH = ${LIBVA_DRIVERS_PATH}")

install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/media_driver/iHD_drv_video.so DESTINATION ${LIBVA_DRIVERS_PATH} COMPONENT media)

option (INSTALL_DRIVER_SYSCONF "Install driver system configuration file" OFF)
if (INSTALL_DRIVER_SYSCONF)
    configure_file (
        ${CMAKE_CURRENT_SOURCE_DIR}/media_driver/cmake/linux/intel-media.sh.in
        ${CMAKE_CURRENT_BINARY_DIR}/media_driver/cmake/linux/intel-media.sh)
    install (FILES ${CMAKE_CURRENT_BINARY_DIR}/media_driver/cmake/linux/intel-media.sh
        DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/profile.d/ COMPONENT media)
endif()

include(${CMAKE_CURRENT_LIST_DIR}/pack_ext.cmake OPTIONAL)

if (NOT MEDIA_PACKING)
    set(CPACK_GENERATOR "DEB" "RPM")
else()
    set(CPACK_GENERATOR ${MEDIA_PACKAGING})
endif()
set(CPACK_PACKAGE_NAME "intel-media")
set(CPACK_PACKAGE_VENDOR "Intel")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "intel-media Open Source Driver")
set(CPACK_RPM_PACKAGE_ARCHITECTURE "x86_64")
set(CPACK_RPM_PACKAGE_GROUP "System Environment/Libraries")
set(CPACK_RPM_PACKAGE_LICENSE "Intel")

if (DEFINED MEDIA_VERSION)
    string(REPLACE "." ";" MEDIA_VERSION_LIST ${MEDIA_VERSION})
    list(GET MEDIA_VERSION_LIST 0 MEDIA_VERSION_MAJOR)
    list(GET MEDIA_VERSION_LIST 1 MEDIA_VERSION_MINOR)
    list(GET MEDIA_VERSION_LIST 2 MEDIA_VERSION_PATCH)
    set(CPACK_PACKAGE_VERSION_MAJOR "${MEDIA_VERSION_MAJOR}")
    set(CPACK_PACKAGE_VERSION_MINOR "${MEDIA_VERSION_MINOR}")
    set(CPACK_PACKAGE_VERSION_PATCH "${MEDIA_VERSION_PATCH}")
endif()

set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Intel")

# Create Distro OS initial based on 1st-2nd letter of string
# or label "generic" for unsupported/unknown distros for CPACK_PACKAGE_FILE_NAME
if("${os_name}" STREQUAL "ubuntu")
    set(DISTRO_INFO "u${os_version}")
elseif("${os_name}" STREQUAL "fedora")
    set(DISTRO_INFO "f${os_version}")
elseif("${os_name}" STREQUAL "clear-linux-os")
    set(DISTRO_INFO "cl${os_version}")
elseif("${os_name}" STREQUAL "centos")
    set(DISTRO_INFO "ce${os_version}")
else()
    set(DISTRO_INFO "generic")
endif()

# Format Package Version and Build Type Strings for CPACK_PACKAGE_FILE_NAME
set(PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
string(TOLOWER "${BUILD_TYPE}.${CPACK_RPM_PACKAGE_ARCHITECTURE}" PACKAGE_TYPE)

set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${PACKAGE_VERSION}-${DISTRO_INFO}-${PACKAGE_TYPE}")

include(CPack)

=== cmrtlib/linux/CMakeLists.txt ===
# Copyright (c) 2017, Intel Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.

cmake_minimum_required(VERSION 2.8)
include (${CMAKE_CURRENT_LIST_DIR}/cmrt_utils.cmake)

set(EXECUTABLE_OUTPUT_PATH ${MDF_OPTION__OUTPUT_DIR})
set(LIBRARY_OUTPUT_PATH    ${MDF_OPTION__OUTPUT_DIR})

# Set up compile options that will be used for the Linux build
if(CMAKE_COMPILER_IS_GNUCC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse4.1 -std=c++11 -fPIC -fpermissive -fstack-protector-all -Werror")
    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -fno-strict-aliasing -D_FORTIFY_SOURCE=2")
    set(CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG} -D_DEBUG -D__DEBUG -O0")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse4.1 -std=c++11 -fPIC -fpermissive -fstack-protector-all -Werror")
    set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -fno-strict-aliasing -D_FORTIFY_SOURCE=2")
    set(CMAKE_C_FLAGS_DEBUG   "${CMAKE_C_FLAGS_DEBUG} -D_DEBUG -D__DEBUG -O0")

    set(GCC_SECURE_LINK_FLAGS "-z relro -z now")
    set(CMAKE_SKIP_RPATH ON)
endif(CMAKE_COMPILER_IS_GNUCC)

#include paths
include_directories(${CMAKE_CURRENT_LIST_DIR}/../proprietary/share/)
include_directories(${CMAKE_CURRENT_LIST_DIR}/../agnostic/share)
include_directories(${CMAKE_CURRENT_LIST_DIR}/../agnostic/hardware)
include_directories(${CMAKE_CURRENT_LIST_DIR}/../linux/share)
include_directories(${CMAKE_CURRENT_LIST_DIR}/../linux/hardware)

if(NOT "${LIBVA_INSTALL_PATH}" STREQUAL "")
    include_directories(BEFORE ${LIBVA_INSTALL_PATH})
    link_directories(BEFORE ${LIBVA_LIBRARY_PATH})
elseif(DEFINED ENV{LIBVA_INSTALL_PATH} AND NOT "$ENV{LIBVA_INSTALL_PATH}" STREQUAL "")
    include_directories(BEFORE $ENV{LIBVA_INSTALL_PATH})
    link_directories(BEFORE ${LIBVA_LIBRARY_PATH})
else()
    include(FindPkgConfig)
    if(NOT LIBVA_FOUND)
        pkg_check_modules(LIBVA REQUIRED libva>=1.0.0)
    endif()
    if(LIBVA_FOUND)
        include_directories(BEFORE ${LIBVA_INCLUDE_DIRS})
        link_directories(${LIBVA_LIBRARY_DIRS})
    endif()
endif()

# Set up the source files
set(CMRT_SOURCES "")
set(CMRT_DEFINES "")
cmrt_include_directory(${CMAKE_CURRENT_LIST_DIR}/../agnostic)
cmrt_include_directory(${CMAKE_CURRENT_LIST_DIR}/../linux)

add_library(igfxcmrt SHARED "${CMRT_SOURCES}")

set(CMRT_DEFINES ${CMRT_DEFINES} VPHAL ISTDLIB_UMD CM_RT_EXPORTS)

# Extra defines for 64 bit builds
if(CMAKE_SIZEOF_VOID_P EQUAL 8)
  set(CMRT_DEFINES ${CMRT_DEFINES} __CT__)
endif()
set_target_properties( igfxcmrt PROPERTIES 
  FOLDER CM_RT 
  COMPILE_DEFINITIONS "${CMRT_DEFINES}" 
  )

# set the version
get_cmrt_versions(CMRT_VERSION_MAJOR CMRT_VERSION_MINOR CMRT_VERSION_PATCH)
set(CMRT_VERSION ${CMRT_VERSION_MAJOR}.${CMRT_VERSION_MINOR}.${CMRT_VERSION_PATCH})

set_target_properties(igfxcmrt PROPERTIES VERSION ${CMRT_VERSION})
set_target_properties(igfxcmrt PROPERTIES SOVERSION ${CMRT_VERSION_MAJOR})
target_link_libraries( igfxcmrt dl va rt ${GCC_SECURE_LINK_FLAGS})

include(GNUInstallDirs)

configure_file(${CMAKE_CURRENT_LIST_DIR}/igfxcmrt.pc.in ${CMAKE_CURRENT_BINARY_DIR}/igfxcmrt.pc @ONLY)

install(TARGETS igfxcmrt LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT media NAMELINK_SKIP)
install(TARGETS igfxcmrt LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT media NAMELINK_ONLY)

set(CMRT_HEADERS
    ${CMRT_HEADERS}
    ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_rt.h
    ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_rt_g8.h
    ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_rt_g9.h
    ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_rt_g10.h
    ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_hw_vebox_cmd_g10.h
    ${CMAKE_CURRENT_LIST_DIR}/share/cm_rt_def_os.h
    ${CMAKE_CURRENT_LIST_DIR}/share/cm_rt_api_os.h
    )

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/cm_rt_extension.h "//empty file for future implementation")

install(FILES ${CMRT_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/igfxcmrt COMPONENT media)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cm_rt_extension.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/igfxcmrt COMPONENT media)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/igfxcmrt.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig COMPONENT media)

=== media_driver/linux/ult/libdrm_mock/CMakeLists.txt ===
# Copyright (c) 2018, Intel Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.
cmake_minimum_required(VERSION 2.8)

project(libdrm_mock)

include_directories(../../common/os/i915/include ../inc)
aux_source_directory(. SOURCES)

if (MEDIA_EXT)
    list(REMOVE_ITEM SOURCES ./mos_bufmgr_mock.c)
    list(REMOVE_ITEM SOURCES ./libdrm_mock/xf86drm_mock.c)
    set(SOURCES
        ${MEDIA_EXT_ULT}/linux/libdrm_mock/mos_bufmgr_mock.c
        ${MEDIA_EXT_ULT}/linux/libdrm_mock/xf86drm_mock.c
)
endif ()

set_source_files_properties(${SOURCES} PROPERTIES LANGUAGE "CXX")
add_library(drm_mock SHARED ${SOURCES})

target_link_libraries(drm_mock pciaccess)
set_target_properties(drm_mock PROPERTIES VERSION 2.4.0 SOVERSION 2)

## intel-media-driver 18.4.1+dfsg1

=== debian/changelog ===
intel-media-driver (18.4.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Work in buster branch.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Apr 2019 13:31:33 +0200

intel-media-driver (18.4.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Refine Files-Excluded.
  * debian/rules: Explicitly specify desired build flags wrt kernels.
  * debian/patches: Refresh patches.
  * debian/: Bump debhelper compat to 12
  * debian/control:
    - Bump Standards-Version.
    - Mention Whiskey Lake in Description.
    - Mention supported encoders in Description. (Closes: #917821)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Feb 2019 21:11:55 +0100

intel-media-driver (18.3.0+dfsg1-2) unstable; urgency=medium

  * debian/: Fix build on i386. (Closes: #916057)
    - debian/patches: Do not define __AMD64__ and avoid -m64 when building for
      i386.
    - debian/rules: Enable LFS support.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 12 Dec 2018 20:55:30 +0100

intel-media-driver (18.3.0+dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #909984)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 19 Nov 2018 23:10:54 +0100

=== debian/control ===
Source: intel-media-driver
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 libigdgmm-dev,
 libpciaccess-dev,
 libva-dev (>= 2.3),
 libx11-dev,
 pkg-config,
Standards-Version: 4.3.0
Homepage: https://github.com/intel/media-driver
Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver
Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver.git
Rules-Requires-Root: no

Package: intel-media-va-driver
Architecture: amd64 i386 x32
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 va-driver
Description: VAAPI driver for the Intel GEN8+ Graphics family
 The VA-API (Video Acceleration API) enables hardware accelerated video
 decode/encode at various entry-points (VLD, IDCT, Motion Compensation
 etc.) for the prevailing coding standards today (MPEG-2, MPEG-4
 ASP/H.263, MPEG-4 AVC/H.264, and VC-1/WMV3). It provides an interface
 to fully expose the video decode capabilities in today's GPUs.
 .
 This package contains the video decode and encode driver backend for
 the Intel HD Graphics of the Intel Core processor family. The supported
 platforms include:
  * Broadwell
  * Skylake
  * Broxton
  * Apollo Lake
  * Kaby Lake
  * Coffee Lake
  * Whiskey Lake
  * Cannon Lake
  * Ice Lake
 .
 Only a limited set of encoders is available via this driver: JPEG
 (Skylake and newer), AVC (Boxton and newer), HEVC and VP9 (Ice Lake and
 newer). Media shaders are only available on Ice Lake and newer.
 .
 This driver needs to be enabled manually by setting
 LIBVA_DRIVER_NAME=iHD.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=future=+lfs

%:
	dh $@ --with libva

override_dh_auto_configure:
	dh_auto_configure -- \
		-DINSTALL_DRIVER_SYSCONF=OFF \
		-DENABLE_KERNELS=ON \
		-DENABLE_NONFREE_KERNELS=OFF \
		-DBUILD_CMRTLIB=OFF

overrid_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	# Requires Broadwell or newer, so check for SSE 4.2 support at least.
	if grep -q sse4_2 /proc/cpuinfo; then dh_auto_test; fi
endif

=== debian/watch ===
version=4
opts="uversionmangle=s/.pre/~pre/,dversionmangle=auto,repacksuffix=+dfsg1" \
   https://github.com/intel/media-driver/tags \
   (?:.*?/)intel-media[-_]?(?!600\.0)(\d[\-+\.:\~\da-zA-Z]*)\.tar\.gz

## intel-media-driver 19.2.0+dfsg1

=== debian/changelog ===
intel-media-driver (19.2.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Remove new non-free kernel.
  * debian/control:
    - Bump Standards-Version.
    - Bump libigdgmm-dev B-D.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Jul 2019 18:41:42 +0200

intel-media-driver (18.4.1+dfsg1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Jul 2019 11:21:59 +0200

intel-media-driver (18.4.1+dfsg1-2) experimental; urgency=medium

  [ Timo Aaltonen ]
  * Build cmrtlib.

  [ Sebastian Ramacher ]
  * debian/watch: Ignore pre-releases.
  * debian/gbp.conf: Removed.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Apr 2019 13:58:43 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends:
  debhelper-compat (= 12),
  cmake,
- libigdgmm-dev,
+ libigdgmm-dev (>= 19.2.3),
  libpciaccess-dev,
  libva-dev (>= 2.3),
  libx11-dev,
  pkg-config,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver.git
@@ -52,3 +52,34 @@
  .
  This driver needs to be enabled manually by setting
  LIBVA_DRIVER_NAME=iHD.
+
+Package: libigfxcmrt7
+Section: libs
+Architecture: amd64 i386 x32
+Multi-Arch: same
+Depends:
+ intel-media-va-driver (= ${binary:Version}) | intel-media-va-driver-non-free (>= ${source:Upstream-Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: Intel C for Media Runtime -- shared library
+ cmrtlib is a runtime library needed when user wants to execute their
+ own GPU kernels on render engine. It calls iHD media driver to load
+ the kernels and allocate the resources. It provides a set of APIs for
+ user to call directly from application.
+ .
+ This package includes the shared library.
+
+Package: libigfxcmrt-dev
+Section: libdevel
+Architecture: amd64 i386 x32
+Multi-Arch: same
+Depends:
+ libigfxcmrt7 (= ${binary:Version}),
+ ${misc:Depends},
+Description: Intel C for Media Runtime -- development files
+ cmrtlib is a runtime library needed when user wants to execute their
+ own GPU kernels on render engine. It calls iHD media driver to load
+ the kernels and allocate the resources. It provides a set of APIs for
+ user to call directly from application.
+ .
+ This package includes files for development.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 		-DINSTALL_DRIVER_SYSCONF=OFF \
 		-DENABLE_KERNELS=ON \
 		-DENABLE_NONFREE_KERNELS=OFF \
-		-DBUILD_CMRTLIB=OFF
+		-DBUILD_CMRTLIB=ON
 
 overrid_dh_missing:
 	dh_missing --fail-missing

## intel-media-driver 19.2.1+dfsg1

=== debian/changelog ===
intel-media-driver (19.2.1+dfsg1-2ubuntu1) eoan; urgency=medium

  * control: Rebuild against new gmmlib.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 05 Oct 2019 23:34:43 +0300

intel-media-driver (19.2.1+dfsg1-2) unstable; urgency=medium

  * debian/rules: Run tests only on Intel CPUs.
  * debian/patches: Remove an obsolete compile flag.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 22 Aug 2019 18:38:24 +0200

intel-media-driver (19.2.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 10 Aug 2019 18:42:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 12),
  cmake,
- libigdgmm-dev (>= 19.2.3),
+ libigdgmm-dev (>= 19.3.2),
  libpciaccess-dev,
  libva-dev (>= 2.3),
  libx11-dev,

=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,5 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	# Requires Broadwell or newer, so check for SSE 4.2 support at least.
-	if grep -q sse4_2 /proc/cpuinfo; then dh_auto_test; fi
+	if grep -q sse4_2 /proc/cpuinfo && grep -q GenuineIntel /proc/cpuinfo; then dh_auto_test; fi
 endif

## intel-media-driver 19.4.0r+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,7 @@
 message(STATUS "CMAKE_INSTALL_PREFIX = ${CMAKE_INSTALL_PREFIX}")
 
 if(NOT DEFINED MEDIA_VERSION OR MEDIA_VERSION STREQUAL "")
-    set(MEDIA_VERSION "1.0.0")
+    set(MEDIA_VERSION "19.4.0")
 endif()
 
 if("${os_name}" STREQUAL "clear-linux-os")

=== cmrtlib/linux/CMakeLists.txt ===
--- 
+++ 
@@ -101,6 +101,8 @@
     ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_rt_g8.h
     ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_rt_g9.h
     ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_rt_g10.h
+    ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_rt_g11.h
+    ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_rt_g12_tgl.h
     ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_hw_vebox_cmd_g10.h
     ${CMAKE_CURRENT_LIST_DIR}/share/cm_rt_def_os.h
     ${CMAKE_CURRENT_LIST_DIR}/share/cm_rt_api_os.h

=== debian/changelog ===
intel-media-driver (19.4.0r+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright:
    - Remove more kernels
    - Bump copyright years
  * debian/control:
    - Bump libva-dev B-D
    - Use dh-sequence-libva
    - Bump Standards-Version
  * debian/: Remove notes about setting LIBVA_DRIVER
    libva >= 2.6 knows how to handle the driver.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Feb 2020 20:07:57 +0100

intel-media-driver (19.3.1+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 01 Nov 2019 10:03:54 +0100

intel-media-driver (19.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: Refresh patches
  * debian/control: Bump Standards-Version
  * debian/copyright:
    - Remove Christoph Rau
    - Bump copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Oct 2019 14:35:46 +0200

=== debian/watch ===
version=4
opts="dversionmangle=auto,repacksuffix=+dfsg1" \
   https://github.com/intel/media-driver/tags \
   (?:.*?/)intel-media[-_]?(?!600\.0)(\d[\-+\.:\~\d]*r?)\.tar\.gz

## intel-media-driver 20.1.1+dfsg1

=== media_driver/linux/ult/libdrm_mock/CMakeLists.txt ===
--- 
+++ 
@@ -28,8 +28,8 @@
     list(REMOVE_ITEM SOURCES ./mos_bufmgr_mock.c)
     list(REMOVE_ITEM SOURCES ./libdrm_mock/xf86drm_mock.c)
     set(SOURCES
-        ${MEDIA_EXT_ULT}/linux/libdrm_mock/mos_bufmgr_mock.c
-        ${MEDIA_EXT_ULT}/linux/libdrm_mock/xf86drm_mock.c
+        ${MEDIA_EXT_ULT}/linux/mock/libdrm_mock/mos_bufmgr_mock.c
+        ${MEDIA_EXT_ULT}/linux/mock/libdrm_mock/xf86drm_mock.c
 )
 endif ()

=== media_driver/linux/ult/ult_app/CMakeLists.txt ===
# Copyright (c) 2018, Intel Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.
cmake_minimum_required(VERSION 3.1)

project(devult)

add_subdirectory(googletest)

set(agnostic_cm_tests ../../../agnostic/ult/cm)

set(INTERNAL_INC_PATH
    ../inc
    ./cm
    ./googletest/include
    ./gpu_cmd
    ${agnostic_cm_tests}
    ../../../linux/common/cp/shared
)
include_directories(${INTERNAL_INC_PATH} ${LIBVA_PATH})
if (NOT "${BS_DIR_GMMLIB}" STREQUAL "")
    include_directories(${BS_DIR_GMMLIB}/inc)
endif ()
if (NOT "${BS_DIR_INC}" STREQUAL "")
   include_directories(${BS_DIR_INC} ${BS_DIR_INC}/common)
endif ()

aux_source_directory(. SOURCES)
aux_source_directory(./cm SOURCES)
aux_source_directory(${agnostic_cm_tests} SOURCES)
if (ENABLE_NONFREE_KERNELS)
    aux_source_directory(./gpu_cmd SOURCES)
    set(SOURCES
        ${SOURCES}
        ../../../agnostic/gen9_bxt/hw/vdbox/mhw_vdbox_mfx_hwcmd_g9_bxt.cpp
        ../../../agnostic/gen9_skl/hw/vdbox/mhw_vdbox_mfx_hwcmd_g9_skl.cpp
        ../../../agnostic/gen10/hw/vdbox/mhw_vdbox_mfx_hwcmd_g10_X.cpp
        ../../../agnostic/gen10/hw/vdbox/mhw_vdbox_hcp_hwcmd_g10_X.cpp
    )
else ()
    set(SOURCES
        ${SOURCES}
        ${CMAKE_CURRENT_LIST_DIR}/gpu_cmd/gpu_cmd_factory.cpp
    )
endif ()

add_executable(devult ${SOURCES})
target_link_libraries(devult libgtest libdl.so)

if (DEFINED BYPASS_MEDIA_ULT AND "${BYPASS_MEDIA_ULT}" STREQUAL "yes")
    # must explictly pass along BYPASS_MEDIA_ULT as yes then could bypass the running of media ult
    message("-- media -- BYPASS_MEDIA_ULT = ${BYPASS_MEDIA_ULT}")
else ()
    if (ENABLE_NONFREE_KERNELS)
        add_custom_target(RunULT ALL DEPENDS ${LIB_NAME} devult)

        add_custom_command(
            TARGET RunULT
            POST_BUILD
            COMMAND LD_PRELOAD=../libdrm_mock/libdrm_mock.so ./devult ../../../${LIB_NAME}.so
            WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
            COMMENT "Running devult...")
        endif ()
endif ()

=== debian/changelog ===
intel-media-driver (20.1.1+dfsg1-1~mx19ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19 AHS.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Thu, 21 May 2020 11:27:26 -0400

intel-media-driver (20.1.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Remove non-free kernel

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 Apr 2020 12:16:43 +0200

intel-media-driver (19.4.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: Revert "Check for Xr releases"

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 02 Apr 2020 13:13:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: intel-media-driver
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
+# dh-sequence-libva,
  cmake,
- libigdgmm-dev (>= 19.3.2),
+ libigdgmm-dev (>= 19.2.3),
  libpciaccess-dev,
- libva-dev (>= 2.3),
+ libva-dev (>= 2.6),
  libx11-dev,
  pkg-config,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver.git
@@ -49,9 +51,6 @@
  Only a limited set of encoders is available via this driver: JPEG
  (Skylake and newer), AVC (Boxton and newer), HEVC and VP9 (Ice Lake and
  newer). Media shaders are only available on Ice Lake and newer.
- .
- This driver needs to be enabled manually by setting
- LIBVA_DRIVER_NAME=iHD.
 
 Package: libigfxcmrt7
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS=future=+lfs
 
 %:
-	dh $@ --with libva
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -20,3 +20,6 @@
 	# Requires Broadwell or newer, so check for SSE 4.2 support at least.
 	if grep -q sse4_2 /proc/cpuinfo && grep -q GenuineIntel /proc/cpuinfo; then dh_auto_test; fi
 endif
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## intel-media-driver 20.2.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2017, Intel Corporation
+# Copyright (c) 2017-2020, Intel Corporation
 #
 # Permission is hereby granted, free of charge, to any person obtaining a
 # copy of this software and associated documentation files (the "Software"),
@@ -20,6 +20,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 
+set(MEDIA_VERSION "20.2.0${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
 
 include(os_release_info.cmake)
 
@@ -29,10 +30,6 @@
     set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "..." FORCE)
 endif()
 message(STATUS "CMAKE_INSTALL_PREFIX = ${CMAKE_INSTALL_PREFIX}")
-
-if(NOT DEFINED MEDIA_VERSION OR MEDIA_VERSION STREQUAL "")
-    set(MEDIA_VERSION "19.4.0")
-endif()
 
 if("${os_name}" STREQUAL "clear-linux-os")
     # clear-linux-os distribution avoids /etc for distribution defaults.
@@ -110,15 +107,7 @@
 set(CPACK_RPM_PACKAGE_GROUP "System Environment/Libraries")
 set(CPACK_RPM_PACKAGE_LICENSE "Intel")
 
-if (DEFINED MEDIA_VERSION)
-    string(REPLACE "." ";" MEDIA_VERSION_LIST ${MEDIA_VERSION})
-    list(GET MEDIA_VERSION_LIST 0 MEDIA_VERSION_MAJOR)
-    list(GET MEDIA_VERSION_LIST 1 MEDIA_VERSION_MINOR)
-    list(GET MEDIA_VERSION_LIST 2 MEDIA_VERSION_PATCH)
-    set(CPACK_PACKAGE_VERSION_MAJOR "${MEDIA_VERSION_MAJOR}")
-    set(CPACK_PACKAGE_VERSION_MINOR "${MEDIA_VERSION_MINOR}")
-    set(CPACK_PACKAGE_VERSION_PATCH "${MEDIA_VERSION_PATCH}")
-endif()
+set(CPACK_PACKAGE_VERSION ${MEDIA_VERSION})
 
 set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Intel")
 
@@ -137,9 +126,14 @@
 endif()
 
 # Format Package Version and Build Type Strings for CPACK_PACKAGE_FILE_NAME
-set(PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
 string(TOLOWER "${BUILD_TYPE}.${CPACK_RPM_PACKAGE_ARCHITECTURE}" PACKAGE_TYPE)
 
-set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${PACKAGE_VERSION}-${DISTRO_INFO}-${PACKAGE_TYPE}")
+if (DEFINED CP_INCLUDED)
+if (${CP_INCLUDED} STREQUAL "1")
+set(CPACK_PACKAGE_NAME "intel-cp-media")
+endif()
+endif()
+
+set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${DISTRO_INFO}-${PACKAGE_TYPE}")
 
 include(CPack)

=== cmrtlib/linux/CMakeLists.txt ===
--- 
+++ 
@@ -21,21 +21,32 @@
 cmake_minimum_required(VERSION 2.8)
 include (${CMAKE_CURRENT_LIST_DIR}/cmrt_utils.cmake)
 
+
 set(EXECUTABLE_OUTPUT_PATH ${MDF_OPTION__OUTPUT_DIR})
 set(LIBRARY_OUTPUT_PATH    ${MDF_OPTION__OUTPUT_DIR})
 
+if (LATEST_CPP_NEEDED)
+    set(CPP_STANDARD_OPTION -std=c++17)
+else()
+    set(CPP_STANDARD_OPTION -std=c++11)
+endif()
+
 # Set up compile options that will be used for the Linux build
-if(CMAKE_COMPILER_IS_GNUCC)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse4.1 -std=c++11 -fPIC -fpermissive -fstack-protector-all -Werror")
-    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -fno-strict-aliasing -D_FORTIFY_SOURCE=2")
-    set(CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG} -D_DEBUG -D__DEBUG -O0")
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse4.1 -std=c++11 -fPIC -fpermissive -fstack-protector-all -Werror")
-    set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -fno-strict-aliasing -D_FORTIFY_SOURCE=2")
-    set(CMAKE_C_FLAGS_DEBUG   "${CMAKE_C_FLAGS_DEBUG} -D_DEBUG -D__DEBUG -O0")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CPP_STANDARD_OPTION} -fPIC -fpermissive -fstack-protector-all -Werror")
+if(CMAKE_SIZEOF_VOID_P EQUAL 8)
+   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse4.1")
+endif()
+set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -fno-strict-aliasing -D_FORTIFY_SOURCE=2")
+set(CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG} -D_DEBUG -D__DEBUG -O0")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${CPP_STANDARD_OPTION} -fPIC -fpermissive -fstack-protector-all -Werror")
+if(CMAKE_SIZEOF_VOID_P EQUAL 8)
+   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse4.1")
+endif()
+set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -fno-strict-aliasing -D_FORTIFY_SOURCE=2")
+set(CMAKE_C_FLAGS_DEBUG   "${CMAKE_C_FLAGS_DEBUG} -D_DEBUG -D__DEBUG -O0")
 
-    set(GCC_SECURE_LINK_FLAGS "-z relro -z now")
-    set(CMAKE_SKIP_RPATH ON)
-endif(CMAKE_COMPILER_IS_GNUCC)
+set(GCC_SECURE_LINK_FLAGS "-z relro -z now")
+set(CMAKE_SKIP_RPATH ON)
 
 #include paths
 include_directories(${CMAKE_CURRENT_LIST_DIR}/../proprietary/share/)

=== debian/changelog ===
intel-media-driver (20.2.0+dfsg1-1~mx19ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19 AHS.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Sun, 26 Jul 2020 19:30:36 -0400

intel-media-driver (20.2.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * debian/: Bump debhelper compat to 13

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 12 Jul 2020 11:25:10 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
-# dh-sequence-libva,
+ debhelper-compat (= 13),
+ dh-sequence-libva,
  cmake,
  libigdgmm-dev (>= 19.2.3),
  libpciaccess-dev,

## intel-media-driver 21.1.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 
-set(MEDIA_VERSION "20.2.0${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "21.1.0${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
 
 include(os_release_info.cmake)
 
@@ -49,6 +49,8 @@
     "Rebuild shaders (kernels) from sources" OFF
     "ENABLE_KERNELS;NOT ENABLE_NONFREE_KERNELS" OFF)
 option (BUILD_CMRTLIB "Build and Install cmrtlib together with media driver" ON)
+
+option (ENABLE_PRODUCTION_KMD "Enable Production KMD header files" OFF)
 
 include(GNUInstallDirs)
 
@@ -128,12 +130,7 @@
 # Format Package Version and Build Type Strings for CPACK_PACKAGE_FILE_NAME
 string(TOLOWER "${BUILD_TYPE}.${CPACK_RPM_PACKAGE_ARCHITECTURE}" PACKAGE_TYPE)
 
-if (DEFINED CP_INCLUDED)
-if (${CP_INCLUDED} STREQUAL "1")
-set(CPACK_PACKAGE_NAME "intel-cp-media")
-endif()
-endif()
-
 set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${DISTRO_INFO}-${PACKAGE_TYPE}")
 
 include(CPack)
+

=== debian/changelog ===
intel-media-driver (21.1.0+dfsg1-1~mx19ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 28 Jan 2021 10:21:56 -0500

intel-media-driver (21.1.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - Check availability of instruction sets before using them (Closes:
      #974772, #972833)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 26 Jan 2021 20:35:46 +0100

intel-media-driver (20.4.5+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Jan 2021 17:08:54 +0100

intel-media-driver (20.4.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 20.4.3+dfsg1
  * debian/control: Bump libigdgmm-dev to 20.3.3

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Dec 2020 18:39:24 +0100

intel-media-driver (20.4.2+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 02 Dec 2020 20:53:10 +0100

intel-media-driver (20.4.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Remove no longer included file from Files-Excluded
  * debian/patches: Remove no longer needed patch

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Nov 2020 21:58:25 +0100

intel-media-driver (20.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Remove new kernels
  * debian/control:
    - Bump libva B-D
    - Remove libpciaccess-dev from B-D

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Oct 2020 21:32:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,11 @@
  debhelper-compat (= 13),
  dh-sequence-libva,
  cmake,
- libigdgmm-dev (>= 19.2.3),
- libpciaccess-dev,
- libva-dev (>= 2.6),
+ libigdgmm-dev (>= 20.3.3),
+ libva-dev (>= 2.8),
  libx11-dev,
  pkg-config,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver.git

## intel-media-driver 21.1.1+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 
-set(MEDIA_VERSION "21.1.0${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "21.1.1${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
 
 include(os_release_info.cmake)

=== cmrtlib/CMakeLists.txt ===
# Copyright (c) 2017, Intel Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.

set(BUILD_ALL $ENV{BUILD_ALL})
cmake_minimum_required(VERSION 2.8)
project(CM_RT)
add_subdirectory(${CMAKE_CURRENT_LIST_DIR}/linux)

=== cmrtlib/linux/CMakeLists.txt ===
--- 
+++ 
@@ -64,7 +64,7 @@
 else()
     include(FindPkgConfig)
     if(NOT LIBVA_FOUND)
-        pkg_check_modules(LIBVA REQUIRED libva>=1.0.0)
+        pkg_check_modules(LIBVA REQUIRED libva>=1.8.0)
     endif()
     if(LIBVA_FOUND)
         include_directories(BEFORE ${LIBVA_INCLUDE_DIRS})
@@ -114,6 +114,7 @@
     ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_rt_g10.h
     ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_rt_g11.h
     ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_rt_g12_tgl.h
+    ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_rt_g12_dg1.h
     ${CMAKE_CURRENT_LIST_DIR}/../agnostic/share/cm_hw_vebox_cmd_g10.h
     ${CMAKE_CURRENT_LIST_DIR}/share/cm_rt_def_os.h
     ${CMAKE_CURRENT_LIST_DIR}/share/cm_rt_api_os.h

=== media_driver/linux/ult/libdrm_mock/CMakeLists.txt ===
--- 
+++ 
@@ -36,5 +36,4 @@
 set_source_files_properties(${SOURCES} PROPERTIES LANGUAGE "CXX")
 add_library(drm_mock SHARED ${SOURCES})
 
-target_link_libraries(drm_mock pciaccess)
 set_target_properties(drm_mock PROPERTIES VERSION 2.4.0 SOVERSION 2)

=== debian/changelog ===
intel-media-driver (21.1.1+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 05 Feb 2021 22:12:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: intel-media-driver
 Section: video
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:

=== debian/watch ===
version=4
opts="dversionmangle=auto,repacksuffix=+dfsg1" \
   https://github.com/intel/media-driver/tags \
   (?:.*?/)intel-media[-_]?(?!600\.0)(\d[\-+\.:\~\d]*)\.tar\.gz

## intel-media-driver 21.3.2+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,9 @@
 # OTHER DEALINGS IN THE SOFTWARE.
 
 cmake_minimum_required(VERSION 3.5)
+project(IntelMediaDriver)
 
-set(MEDIA_VERSION "21.1.1${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "21.3.2${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
 
 include(os_release_info.cmake)

=== debian/changelog ===
intel-media-driver (21.3.2+dfsg1-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 12 Sep 2021 02:20:45 -0400

intel-media-driver (21.3.2+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 31 Aug 2021 19:21:04 +0200

intel-media-driver (21.3.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Aug 2021 18:48:29 +0200

intel-media-driver (21.3.0+dfsg1-1) experimental; urgency=medium

  * New upstream release
    - Don't crash if non-free kernels are not available (Closes: #983860)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 04 Aug 2021 23:13:46 +0200

intel-media-driver (21.2.2+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * debian/copyright: Remove new non-free kernels

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 23 Jun 2021 00:08:27 +0200

intel-media-driver (21.1.3+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: Bump libigdgmm-dev B-D
  * debian/copyright: Bump copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 05 Apr 2021 15:22:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: intel-media-driver
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-libva,
  cmake,
- libigdgmm-dev (>= 20.3.3),
+ libigdgmm-dev (>= 21.1.1),
  libva-dev (>= 2.8),
  libx11-dev,
  pkg-config,

## intel-media-driver 21.3.3+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 cmake_minimum_required(VERSION 3.5)
 project(IntelMediaDriver)
 
-set(MEDIA_VERSION "21.3.2${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "21.3.3${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
 
 include(os_release_info.cmake)

=== debian/changelog ===
intel-media-driver (21.3.3+dfsg1-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control:
    - Bump libva B-D
    - Bump Standards-Version

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 05 Sep 2021 21:36:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: intel-media-driver
 Section: video
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
@@ -10,10 +9,10 @@
  dh-sequence-libva,
  cmake,
  libigdgmm-dev (>= 21.1.1),
- libva-dev (>= 2.8),
+ libva-dev (>= 2.12),
  libx11-dev,
  pkg-config,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver.git

## intel-media-driver 21.3.4+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 cmake_minimum_required(VERSION 3.5)
 project(IntelMediaDriver)
 
-set(MEDIA_VERSION "21.3.3${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "21.3.4${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
 
 include(os_release_info.cmake)

=== debian/changelog ===
intel-media-driver (21.3.4+dfsg1-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 07 Oct 2021 13:29:37 -0400

intel-media-driver (21.3.4+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 01 Oct 2021 19:43:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: intel-media-driver
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:

## intel-media-driver 21.4.1+dfsg1

=== debian/changelog ===
intel-media-driver (21.4.1+dfsg1-1~mx21ahs+1) mx; urgency=medium

  * Initial build from upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 12 Nov 2021 13:07:03 -0500

intel-media-driver (21.4.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 21.4.1+dfsg1
  * debian/source/lintian-overrides: Make the override less specific to keep
    up with the ever changing lintian output

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 10 Nov 2021 21:04:17 +0100

intel-media-driver (21.4.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 21.4.0+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Oct 2021 15:51:12 +0200

## intel-media-driver 22.2.0%2Bdfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 cmake_minimum_required(VERSION 3.5)
 project(IntelMediaDriver)
 
-set(MEDIA_VERSION "21.3.4${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "22.2.0${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
 
 include(os_release_info.cmake)

=== media_driver/linux/ult/ult_app/CMakeLists.txt ===
--- 
+++ 
@@ -62,6 +62,9 @@
 
 add_executable(devult ${SOURCES})
 target_link_libraries(devult libgtest libdl.so)
+if (${CLASS_TRACE} EQUAL 1)
+    add_dependencies(devult generate_classtrace)
+endif ()
 
 if (DEFINED BYPASS_MEDIA_ULT AND "${BYPASS_MEDIA_ULT}" STREQUAL "yes")
     # must explictly pass along BYPASS_MEDIA_ULT as yes then could bypass the running of media ult
